AppSvcDependency (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.AppSvcDependency class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef
Class AppSvcDependency

    java.lang.Object
      org.hyperic.hq.appdef.AppSvcDependency

All Implemented Interfaces:
  java.io.Serializable

    public class AppSvcDependency

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`AppSvcDependency()` default constructor

Method Summary
`AppService` | `getAppService()`
`long` | `getCreationTime()`
`AppService` | `getDependentService()`
`java.lang.Integer` | `getId()`
`long` | `getModifiedTime()`
`void` | `setAppService(AppService appService)`
`void` | `setCreationTime(long creationTime)`
`void` | `setDependentService(AppService dependentService)`
`void` | `setModifiedTime(long modifiedTime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppSvcDependency

    public AppSvcDependency()

  default constructor

Method Detail

### getId

    public java.lang.Integer getId()

### getCreationTime

    public long getCreationTime()

### setCreationTime

    public void setCreationTime(long creationTime)

### getModifiedTime

    public long getModifiedTime()

### setModifiedTime

    public void setModifiedTime(long modifiedTime)

### getAppService

    public AppService getAppService()

### setAppService

    public void setAppService(AppService appService)

### getDependentService

    public AppService getDependentService()

### setDependentService

    public void setDependentService(AppService dependentService)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.